Katello - Bug #7158

Can't set environment on activation keys
08/19/2014 03:26 PM - Adam Price

Status: Closed
Priority: Normal
Assignee: Adam Price
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1131618 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/459
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1131618
Description of problem:

Introduced by the fix for https://bugzilla.redhat.com/show_bug.cqi?id=1125403

Activation key New and Edit pages all fail at retrieving the lifecycle environment list, so you cannot set an environment and thus they
are not useful.

How reproducible:
always

Steps to Reproduce:
1. Try to create an activation key assigned to an environment/content view

Actual results:
No environments show up, error appears in browser console

Expected results:
Environments show up and | can selecte them.

Additional info:
traceback in browser:
TypeError: Cannot read property 'environments' of null

at http://box:3000/assets/bastion/organizations/organization.factory.js?body=1:50:46
at http://box:3000/assets/bastion/underscore/underscore.js?body=1:99:29

Associated revisions

Revision b1242079 - 08/19/2014 11:59 PM - Adam Price

fixes #7158 - environments are now inside of the "results" hash, BZ 1131618

Revision 4b549c81 - 08/19/2014 11:59 PM - Adam Price

fixes #7158 - environments are now inside of the "results" hash, BZ 1131618

Revision 4159e272 - 08/20/2014 09:10 AM - Adam Price
Merge pull request #4591 from komidore64/rmi7158-actkey-env-list-dead

fixes #7158 - environments are now inside of the "results" hash, BZ 1131618

Revision 21619e16 - 08/20/2014 09:10 AM - Adam Price
Merge pull request #4591 from komidore64/rmi7158-actkey-env-list-dead
fixes #7158 - environments are now inside of the "results" hash, BZ 1131618

History

#1 - 08/19/2014 04:03 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 59

- Pull request https://github.com/Katello/katello/pull/4591 added
- Pull request deleted ()

#2 - 08/20/2014 08:18 AM - Eric Helms
- Triaged changed from No to Yes

#3 - 08/20/2014 08:18 AM - Eric Helms

- Target version changed from 59 to 55

#4 - 08/20/2014 10:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|b1242079a74a7af56a7f4fefade35deb81895aaa.

#5 - 08/22/2014 09:30 AM - Eric Helms

- translation missing: en.field_release set to 13
